package cn.base.conf;

/**
 * 南海运维交通设施巡检 上传配置
 * @author Lenovo
 *
 */
public class YwPatrol extends NodeHome{
	private String ftp;
	private String basePath;
	private  String  uploadPath;
	public String getFtp() {
		return ftp;
	}

	public void setFtp(String ftp) {
		this.ftp = ftp;
	}

	public String getBasePath() {
		return basePath;
	}

	public void setBasePath(String basePath) {
		this.basePath = basePath;
	}

	public void fillField(){
		for(int i=0;i<this.getList().size();i++){
			String name=this.getList().get(i).getName();
			String value=this.getList().get(i).getValue();
			if(name.equalsIgnoreCase("ftp")==true)this.ftp=value;
			if(name.equalsIgnoreCase("basePath")==true)this.basePath=value;
			if(name.equalsIgnoreCase("uploadPath")==true)this.uploadPath=value;
		}
	}

	public String getUploadPath() {
		return uploadPath;
	}

	public void setUploadPath(String uploadPath) {
		this.uploadPath = uploadPath;
	}
}
